---@meta

---@class ScrollFrame : Frame
ScrollFrame = {
	--- Gets the horizontal scroll range.
	--- @return number range The horizontal scroll range.
	--- @example
	--- local range = myScrollFrame:GetHorizontalScrollRange()
	GetHorizontalScrollRange = function(self) end,

	--- Gets the current horizontal scroll position.
	--- @return number position The horizontal scroll position.
	--- @example
	--- local position = myScrollFrame:GetHorizontalScroll()
	GetHorizontalScroll = function(self) end,

	--- Gets the vertical scroll range.
	--- @return number range The vertical scroll range.
	--- @example
	--- local range = myScrollFrame:GetVerticalScrollRange()
	GetVerticalScrollRange = function(self) end,

	--- Gets the current vertical scroll position.
	--- @return number position The vertical scroll position.
	--- @example
	--- local position = myScrollFrame:GetVerticalScroll()
	GetVerticalScroll = function(self) end,

	--- Gets the scrollable child frame.
	--- @return Frame childFrame The scrollable child frame.
	--- @example
	--- local childFrame = myScrollFrame:GetScrollChild()
	GetScrollChild = function(self) end,

	--- Sets the horizontal scroll position.
	--- @param position number The horizontal scroll position.
	--- @example
	--- myScrollFrame:SetHorizontalScroll(50)
	SetHorizontalScroll = function(self, position) end,

	--- Sets the vertical scroll position.
	--- @param position number The vertical scroll position.
	--- @example
	--- myScrollFrame:SetVerticalScroll(50)
	SetVerticalScroll = function(self, position) end,

	--- Sets the scrollable child frame.
	--- @param frame Frame The frame to set as the scrollable child.
	--- @example
	--- myScrollFrame:SetScrollChild(childFrame)
	SetScrollChild = function(self, frame) end,

	--- Updates the scroll range and position.
	--- @example
	--- myScrollFrame:UpdateScrollChildRect()
	UpdateScrollChildRect = function(self) end,
}
